/**
 * @file propboeservos.h
 * This is the propboeservos interface description
 */
#ifndef __PROPBOESERVOS_H
#define __PROPBOESERVOS_H

/* These numbers define servo stop pulse width */
#define LEFT_CENTER 1500
#define RIGHT_CENTER 1500

#define UP_ARROW 19
#define DN_ARROW 21
#define LEFT_ARROW 20
#define RIGHT_ARROW 18
#define PAGE_UP 22
#define PAGE_DOWN 23
#define HOME_KEY 16
#define END_KEY 17

/**
 * cog thread start function. call before using bot* functions.
 */
void startServoThreads(void);

/**
 * stop the servos
 */
void botStop(void);

/**
 * move bot forward at %rate
 */
void botForward(int rate);

/**
 * move bot backwards at %rate
 */
void botReverse(int rate);

/**
 * use one servo to turn left at %rate
 */
void botLeftTurn(int rate);

/**
 * use one servo to turn right at %rate
 */
void botRightTurn(int rate);

/**
 * use two servos to spin left at %rate
 */
void botLeftSpin(int rate);

/**
 * use two servos to spin right at %rate
 */
void botRightSpin(int rate);

/**
 * use to set servos spin %rate
 */
void botSpeed(int rate);

#endif

